{# The systemd unit configuration file for run a Phrasee container #}
[Unit]
Description=Phrasee Container
After=docker.service
Requires=docker.service

[Service]
TimeoutStartSec=0
Restart=always
ExecStartPre=-/usr/bin/docker stop phrasee
ExecStartPre=-/usr/bin/docker rm phrasee
ExecStartPre=/usr/bin/docker pull {{ phrasee_docker_image }}
ExecStart=/usr/bin/docker run --name phrasee --network={{ docker_network_name }} --network-alias=phrasee -e DATABASE_URL={{ database_url }} -e DJANGO_SETTINGS_MODULE={{ django_settings_module }} -e DJANGO_MANAGEPY_MIGRATE={{ db_migrate }} -e DJANGO_MANAGEPY_COLLECTSTATIC={{ collect_static }} {{ phrasee_docker_image }}

[Install]
WantedBy=multi-user.target
